Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Translate< Function_ > Class Template Reference

Translates the zero-set of the function by a vector. The underlying function corresponds to f(x-off), where off is the offset vector. More...

`#include <include/gudhi/Functions/Translate.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the zero-set.
| Translate (const Function_ &function, const Eigen::VectorXd &off)
| Constructor of the translated function.

## Detailed Description

template<class Function_>
class Gudhi::coxeter_triangulation::Translate< Function_ >

Translates the zero-set of the function by a vector. The underlying function corresponds to f(x-off), where off is the offset vector.

Template Parameters

  Function_ | The function template parameter. Should be a model of the concept FunctionForImplicitManifold.

## Constructor & Destructor Documentation

## Translate()

template<class Function_>

Gudhi::coxeter_triangulation::Translate< Function_ >::Translate | ( | const Function_ & | function,
|  | const Eigen::VectorXd & | off )

inline

Constructor of the translated function.

Parameters

  [in] | function | The function to be translated.
  [in] | off | The offset vector. The dimension should correspond to the domain (ambient) dimension of 'function'.

## Member Function Documentation

## operator()()

template<class Function_>

Eigen::VectorXd Gudhi::coxeter_triangulation::Translate< Function_ >::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Translate.h